#!/bin/bash
# ai.shell startup script (uses ~/.config/syui/ai/shell setup)

set -e

CONFIG_DIR="$HOME/.config/syui/ai/shell"

# Check if setup has been run
if [ ! -d "$CONFIG_DIR/venv" ]; then
    echo "❌ ai.shell is not set up yet."
    echo "Please run: ./scripts/setup.sh"
    exit 1
fi

# Run aishell
exec "$CONFIG_DIR/bin/aishell" "$@"